Bug 961078 - Review Request: rasdaemon - Daemon to collect RAS error tracing events from the Kernel drivers
Summary: Review Request: rasdaemon - Daemon to collect RAS error tracing events from t...
Keywords:
Status: CLOSED DUPLICATE of bug 965344
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-08 18:23 UTC by Mauro Carvalho Chehab
Modified: 2013-07-04 23:01 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-21 01:28:48 UTC


Attachments (Terms of Use)

Description Mauro Carvalho Chehab 2013-05-08 18:23:44 UTC
Spec URL: https://git.fedorahosted.org/cgit/rasdaemon.git/tree/misc/rasdaemon.spec
SRPM URL: http://mchehab.fedorapeople.org/rasdaemon-0.2.0-1.fc18.src.rpm
Description: Daemon to collect RAS error tracing events from the Kernel drivers
Fedora Account System Username: mchehab

Comment 1 Mauro Carvalho Chehab 2013-05-13 22:10:24 UTC
$ rpmlint rasdaemon.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Aristeu Rozanski 2013-05-17 17:30:31 UTC
Mauro, that url for the spec is a HTML file and fedora-review can't handle it.
I think you'll have to close this one and open a new one.

Comment 3 Mauro Carvalho Chehab 2013-05-21 01:08:21 UTC
It follows the "rpmlint" output for *.rpm *.src.rpm *.spec:

$ rpmlint misc/rasdaemon.spec `rpm --eval %{_topdir}`/SRPMS/rasdaemon-0.3.0*.src.rpm `rpm --eval %{_topdir}`/RPMS/*/rasdaemon-0.3.0*.rpm
rasdaemon.src: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
rasdaemon.src: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
rasdaemon.src: W: spelling-error %description -l en_US init -> unit, int, nit
rasdaemon.src: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
rasdaemon.src: W: spelling-error %description -l en_US sysfs -> sysops
rasdaemon.x86_64: W: spelling-error %description -l en_US chipsets -> chip sets, chip-sets, Chiclets
rasdaemon.x86_64: W: spelling-error %description -l en_US userspace -> user space, user-space, users pace
rasdaemon.x86_64: W: spelling-error %description -l en_US init -> unit, int, nit
rasdaemon.x86_64: W: spelling-error %description -l en_US startup -> start up, start-up, upstart
rasdaemon.x86_64: W: spelling-error %description -l en_US sysfs -> sysops
rasdaemon.x86_64: W: only-non-binary-in-usr-lib

Comment 4 Mauro Carvalho Chehab 2013-05-21 01:11:57 UTC
(In reply to Mauro Carvalho Chehab from comment #3)
> It follows the "rpmlint" output for *.rpm *.src.rpm *.spec:
> 
> $ rpmlint misc/rasdaemon.spec `rpm --eval
> %{_topdir}`/SRPMS/rasdaemon-0.3.0*.src.rpm `rpm --eval
> %{_topdir}`/RPMS/*/rasdaemon-0.3.0*.rpm
> rasdaemon.src: W: spelling-error %description -l en_US chipsets -> chip
> sets, chip-sets, Chiclets
> rasdaemon.src: W: spelling-error %description -l en_US userspace -> user
> space, user-space, users pace
> rasdaemon.src: W: spelling-error %description -l en_US init -> unit, int, nit
> rasdaemon.src: W: spelling-error %description -l en_US startup -> start up,
> start-up, upstart
> rasdaemon.src: W: spelling-error %description -l en_US sysfs -> sysops
> rasdaemon.x86_64: W: spelling-error %description -l en_US chipsets -> chip
> sets, chip-sets, Chiclets
> rasdaemon.x86_64: W: spelling-error %description -l en_US userspace -> user
> space, user-space, users pace
> rasdaemon.x86_64: W: spelling-error %description -l en_US init -> unit, int,
> nit
> rasdaemon.x86_64: W: spelling-error %description -l en_US startup -> start
> up, start-up, upstart
> rasdaemon.x86_64: W: spelling-error %description -l en_US sysfs -> sysops

All the above are bogus, on my opinion, as the above are common words used on Linux ecosystem.

> rasdaemon.x86_64: W: only-non-binary-in-usr-lib

This is also bogus, as the only files installed under /lib are the systemd ones:

/usr/lib/systemd/system/ras-mc-ctl.service
/usr/lib/systemd/system/rasdaemon.service

And are installed with this syntax:

%files
...
%{_unitdir}/*.service

Comment 5 Mauro Carvalho Chehab 2013-05-21 01:14:38 UTC
(In reply to Aristeu Rozanski from comment #2)
> Mauro, that url for the spec is a HTML file and fedora-review can't handle
> it.

Sorry for the mess.

> I think you'll have to close this one and open a new one.

Thanks, I'll do it, adding there the version 0.3.0 of this package.

Comment 6 Mauro Carvalho Chehab 2013-05-21 01:28:48 UTC
(In reply to Mauro Carvalho Chehab from comment #5)
> (In reply to Aristeu Rozanski from comment #2)
> > Mauro, that url for the spec is a HTML file and fedora-review can't handle
> > it.
> 
> Sorry for the mess.
> 
> > I think you'll have to close this one and open a new one.
> 
> Thanks, I'll do it, adding there the version 0.3.0 of this package.

Recreated as BZ#965344.

It seems that fedora-review is now working there:

$ fedora-review -b 965344
INFO: Processing bugzilla bug: 965344
INFO: Getting .spec and .srpm Urls from : 965344
INFO:   --> SRPM url: http://mchehab.fedorapeople.org/rasdaemon-0.3.0-1.fc18.src.rpm
INFO:   --> Spec url: http://mchehab.fedorapeople.org/rasdaemon.spec
INFO: Using review directory: /home/mchehab/965344-rasdaemon
ERROR: chroot /var/lib/mock/fedora-17-x86_64/root/ not initialized!
INFO: Re-initializing mock build root
(this seems to take a very long time, but it looks that it is working)

So, I'm closing this BZ, in favor of the newest one.

*** This bug has been marked as a duplicate of bug 965344 ***


Note You need to log in before you can comment on or make changes to this bug.